## tdesdk-trinity 14.0.5

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2012 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( tdesdk )
set( PACKAGE tdesdk )
set( VERSION R14.0.5 )


##### include essential cmake modules ###########

include( FindPkgConfig )
include( CheckIncludeFile )
include( CheckTypeSize )
include( CheckCSourceCompiles )
include( CheckCXXSourceCompiles )
include( CheckFunctionExists )
include( CheckLibraryExists )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff ############################

option( WITH_DBSEARCHENGINE "Enable dbsearchengine support (kbabel)" OFF )
option( WITH_KCAL "Enable kcal support (kbugbuster)" OFF )


##### user requested modules ####################

option( BUILD_ALL "Build all" OFF )
option( BUILD_CERVISIA "Build cervisia" ${BUILD_ALL} )
option( BUILD_DOC "Build documentation" ${BUILD_ALL} )
option( BUILD_KAPPTEMPLATE "Build kapptemplate" ${BUILD_ALL} )
option( BUILD_KBABEL "Build kbabel" ${BUILD_ALL} )
option( BUILD_KBUGBUSTER "Build kbugbuster" ${BUILD_ALL} )
option( BUILD_KDEACCOUNTS_PLUGIN "Build kdeaccounts-plugin" ${BUILD_ALL} )
option( BUILD_TDEFILE_PLUGINS "Build tdefile-plugins" ${BUILD_ALL} )
option( BUILD_TDEIOSLAVE "Build tdeioslave" ${BUILD_ALL} )
option( BUILD_KMTRACE "Build kmtrace" ${BUILD_ALL} )
option( BUILD_KOMPARE "Build kompare" ${BUILD_ALL} )
option( BUILD_KPROFILEMETHOD "Build kprofilemethod" ${BUILD_ALL} )
option( BUILD_KSPY "Build kspy" ${BUILD_ALL} )
option( BUILD_KSTARTPERF "Build kstartperf" ${BUILD_ALL} )
option( BUILD_KUIVIEWER "Build kuiviewer" ${BUILD_ALL} )
option( BUILD_TDEUNITTEST "Build tdeunittest" ${BUILD_ALL} )
option( BUILD_POXML "Build poxml" ${BUILD_ALL} )
option( BUILD_SCHECK "Build scheck" ${BUILD_ALL} )
option( BUILD_SCRIPTS "Build scripts" ${BUILD_ALL} )
option( BUILD_TDECACHEGRIND "Build tdecachegrind" ${BUILD_ALL} )
option( BUILD_UMBRELLO "Build umbrello" ${BUILD_ALL} )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )


##### tdesdk directories ########################

tde_conditional_add_subdirectory( BUILD_CERVISIA cervisia )
tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_KAPPTEMPLATE kapptemplate )
tde_conditional_add_subdirectory( BUILD_KBABEL kbabel )
tde_conditional_add_subdirectory( BUILD_KBUGBUSTER kbugbuster )
tde_conditional_add_subdirectory( BUILD_KDEACCOUNTS_PLUGIN kdeaccounts-plugin )
tde_conditional_add_subdirectory( BUILD_TDEFILE_PLUGINS tdefile-plugins )
tde_conditional_add_subdirectory( BUILD_TDEIOSLAVE tdeioslave )
tde_conditional_add_subdirectory( BUILD_KMTRACE kmtrace )
tde_conditional_add_subdirectory( BUILD_KOMPARE kompare )
tde_conditional_add_subdirectory( BUILD_KPROFILEMETHOD kprofilemethod )
tde_conditional_add_subdirectory( BUILD_KSPY kspy )
tde_conditional_add_subdirectory( BUILD_KSTARTPERF kstartperf )
tde_conditional_add_subdirectory( BUILD_KUIVIEWER kuiviewer )
tde_conditional_add_subdirectory( BUILD_TDEUNITTEST tdeunittest )
tde_conditional_add_subdirectory( BUILD_POXML poxml )
tde_conditional_add_subdirectory( BUILD_SCHECK scheck )
tde_conditional_add_subdirectory( BUILD_SCRIPTS scripts )
tde_conditional_add_subdirectory( BUILD_TDECACHEGRIND tdecachegrind )
tde_conditional_add_subdirectory( BUILD_UMBRELLO umbrello )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )
