=== debian/control ===
Source: tdesdk-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Fathi Boudra <fboudra@free.fr>, Josh Metzler <joshdeb@metzlers.org>, Sune Vuorela <debian@pusling.com>
Build-Depends: libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, cmake, autotools-dev, gawk,
 gettext, pkg-config, tdelibs14-trinity-dev, binutils-dev, bison, flex, libfl-dev | flex (<< 2.5.39),
 tdepim-trinity-dev, libapr1-dev, libtdepim1-trinity-dev,
 libktnef1-trinity-dev, libsvn-dev, libdb-dev,
 libiberty-dev | binutils-dev (<< 2.23.91.20131123-1~),
 automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: tdesdk-trinity
Architecture: all
Section: tde
Replaces: kdesdk-kde3 (<< 4:14.0.0~), kdesdk-trinity (<< 4:14.0.0~)
Breaks: kdesdk-kde3 (<< 4:14.0.0~), kdesdk-trinity (<< 4:14.0.0~)
Depends: cervisia-trinity (>= ${source:Version}), kapptemplate-trinity (>= ${source:Version}), kbabel-trinity (>= ${source:Version}), kbugbuster-trinity (>= ${source:Version}), tdecachegrind-trinity (>= ${source:Version}), tdesdk-tdefile-plugins-trinity (>= ${source:Version}), tdesdk-tdeio-plugins-trinity (>= ${source:Version}) | tdesvn-tdeio-plugins-trinity, tdesdk-misc-trinity (>= ${source:Version}), tdesdk-scripts-trinity, kmtrace-trinity (>= ${source:Version}), kompare-trinity (>= ${source:Version}), kspy-trinity (>= ${source:Version}), kuiviewer-trinity (>= ${source:Version}), tdeunittest-trinity (>= ${source:Version}), poxml-trinity (>= ${source:Version}), umbrello-trinity (>= ${source:Version})
Suggests: tdecachegrind-converters-trinity, kbabel-trinity-dev, tdesdk-trinity-doc-html
Description: software development kit from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes the Trinity Software Development Kit, a collection
 of applications and tools useful for developing TDE applications.

Package: tdesdk-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdesdk-kde3-doc-html (<< 4:14.0.0~), kdesdk-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdesdk-kde3-doc-html (<< 4:14.0.0~), kdesdk-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdesdk-trinity
Description: Trinity Software Development Kit documentation in HTML format
 By default the modules provided by TDE only provide their documentation
 in TDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the TDE SDK documentation converted to
 HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /usr/share/doc/tde/HTML/<language>/<app>/, for instance
 /usr/share/doc/tde/HTML/en/umbrello/. Documentation is provided for most
 TDE SDK packages.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: cervisia-trinity
Architecture: any
Section: devel
Replaces: cervisia-kde3 (<< 4:14.0.0~), cervisia-trinity (<< 4:14.0.0~)
Breaks: cervisia-kde3 (<< 4:14.0.0~), cervisia-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity, tdesdk-trinity-doc-html
Description: a graphical CVS front end for Trinity
 Cervisia is a TDE-based graphical front end for the CVS client.
 .
 As well as providing both common and advanced CVS operations, it offers
 a variety of methods for graphically viewing information about the CVS
 repository, your own sandbox and the relationships between different
 versions of files.  A Changelog editor is also included and is coupled
 with the commit dialog.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: kapptemplate-trinity
Architecture: all
Section: devel
Replaces: kapptemplate-kde3 (<< 4:14.0.0~), kapptemplate-trinity (<< 4:14.0.0~)
Breaks: kapptemplate-kde3 (<< 4:14.0.0~), kapptemplate-trinity (<< 4:14.0.0~)
Recommends: automake1.9 | automaken, tdelibs14-trinity-dev
Description: creates a framework to develop a Trinity application
 KAppTemplate is a shell script that will create the necessary
 framework to develop various TDE applications.  It takes care of the
 autoconf/automake code as well as providing a skeleton and example of
 what the code typically looks like.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: kbabel-trinity
Architecture: any
Section: devel
Replaces: kbabel-kde3 (<< 4:14.0.0~), kbabel-trinity (<< 4:14.0.0~)
Breaks: kbabel-kde3 (<< 4:14.0.0~), kbabel-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: gettext
Suggests: khelpcenter-trinity, tdesdk-trinity-doc-html
Conflicts: kdeartwork-theme-icon-trinity (<< 4:3.5.13.3~), tdeartwork-theme-icon-trinity (<< 4:14.0.5~)
Description: PO-file editing suite for Trinity
 This is a suite of programs for editing gettext message files (PO-files).
 It is designed to help you translate fast and consistently.
 .
 This suite includes KBabel, CatalogManager and KBabelDict.  KBabel is an
 advanced and easy to use PO-file editor with full navigational and editing
 capabilities, syntax checking and statistics.  CatalogManager is a multi
 functional catalog manager which allows you to keep track of many
 PO-files at once.  KBabelDict is a dictionary to assist with searching
 for common translations.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: kbabel-trinity-dev
Architecture: any
Section: libdevel
Replaces: kbabel-kde3-dev (<< 4:14.0.0~), kbabel-trinity-dev (<< 4:14.0.0~)
Breaks: kbabel-kde3-dev (<< 4:14.0.0~), kbabel-trinity-dev (<< 4:14.0.0~)
Depends: kbabel-trinity (= ${source:Version}), tdelibs14-trinity-dev
Description: PO-file editing suite for Trinity (development files)
 This is a suite of programs for editing gettext message files (PO-files).
 It is designed to help you translate fast and consistently.
 .
 This suite includes KBabel, CatalogManager and KBabelDict.  KBabel is an
 advanced and easy to use PO-file editor with full navigational and editing
 capabilities, syntax checking and statistics.  CatalogManager is a multi
 functional catalog manager which allows you to keep track of many
 PO-files at once.  KBabelDict is a dictionary to assist with searching
 for common translations.
 .
 This package contains the KBabel development files.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: kbugbuster-trinity
Architecture: any
Section: devel
Replaces: kbugbuster-kde3 (<< 4:14.0.0~), kbugbuster-trinity (<< 4:14.0.0~)
Breaks: kbugbuster-kde3 (<< 4:14.0.0~), kbugbuster-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: a front end for the Trinity bug tracking system
 KBugBuster is a GUI front end for the TDE bug tracking system.
 It allows the user to view and manipulate bug reports and provides a
 variety of options for searching through reports.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: tdecachegrind-trinity
Architecture: any
Section: devel
Replaces: kcachegrind-kde3 (<< 4:14.0.0~), kcachegrind-trinity (<< 4:14.0.0~)
Breaks: kcachegrind-kde3 (<< 4:14.0.0~), kcachegrind-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: valgrind-callgrind-trinity | valgrind-calltree-trinity, graphviz
Suggests: tdecachegrind-converters-trinity, khelpcenter-trinity, tdesdk-trinity-doc-html
Description: visualisation tool for valgrind profiling output
 TDECachegrind is a visualisation tool for the profiling data generated
 by calltree, a profiling skin for valgrind.  Applications can be
 profiled using calltree without being recompiled, and shared libraries
 and plugin architectures are supported.
 .
 For visualising the output from other profiling tools, several converters
 can be found in the tdecachegrind-converters package.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: tdecachegrind-converters-trinity
Architecture: all
Section: devel
Replaces: kcachegrind-converters-kde3 (<< 4:14.0.0~), kcachegrind-converters-trinity (<< 4:14.0.0~)
Breaks: kcachegrind-converters-kde3 (<< 4:14.0.0~), kcachegrind-converters-trinity (<< 4:14.0.0~)
Depends: ${perl:Depends}, php-cli | php5-cli, python
Recommends: tdecachegrind-trinity
Description: format converters for TDECachegrind profiling visualisation tool
 This is a collection of scripts for converting the output from
 different profiling tools into a format that TDECachegrind can use.
 .
 TDECachegrind is a visualisation tool for the profiling data generated
 by calltree, a profiling skin for valgrind.  Applications can be
 profiled using calltree without being recompiled, and shared libraries
 and plugin architectures are supported.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: tdesdk-tdefile-plugins-trinity
Architecture: any
Section: tde
Replaces: kdesdk-kfile-plugins-kde3 (<< 4:14.0.0~), kdesdk-kfile-plugins-trinity (<< 4:14.0.0~)
Breaks: kdesdk-kfile-plugins-kde3 (<< 4:14.0.0~), kdesdk-kfile-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Trinity file dialog plugins for software development files
 This is a collection of plugins for the TDE file dialog.  These plugins
 extend the file dialog to offer advanced meta-information for source files,
 patch files and Qt Linguist data.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: tdesdk-misc-trinity
Architecture: any
Section: devel
Replaces: kdesdk-misc-kde3 (<< 4:14.0.0~), kdesdk-misc-trinity (<< 4:14.0.0~)
Breaks: kdesdk-misc-kde3 (<< 4:14.0.0~), kdesdk-misc-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: libtqt3-mt-dev | libtqt3-dev
Suggests: gimp | xpaint
Description: various goodies from the Trinity Software Development Kit
 This package contains miscellaneous goodies provided with the official
 TDE release to assist with TDE software development.
 .
 Included are:
  - headers to assist with profiling TDE code;
  - a widget style for checking conformity with the TDE/TQt style guide;
  - palettes that match the TDE standard colour palette;
  - a TDE address book plugin that reads the list of TDE CVS accounts.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: tdesdk-scripts-trinity
Architecture: all
Section: devel
Replaces: kdesdk-scripts-kde3 (<< 4:14.0.0~), kdesdk-scripts-trinity (<< 4:14.0.0~)
Breaks: kdesdk-scripts-kde3 (<< 4:14.0.0~), kdesdk-scripts-trinity (<< 4:14.0.0~)
Depends: ${perl:Depends}, python
Recommends: automake1.9 | automaken, cvs, gawk
Suggests: khelpcenter-trinity, tdesdk-trinity-doc-html, dmalloc, gdb, tdelibs14-trinity-doc, tqt3-doc, valgrind, devscripts
Enhances: kate-trinity
Description: a set of useful development scripts for Trinity
 This package contains a number of scripts which can be used to help in
