=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Fathi Boudra <fboudra@free.fr>, Josh Metzler <joshdeb@metzlers.org>, Sune Vuorela <debian@pusling.com>
-Build-Depends: libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, cmake, autotools-dev, gawk,
+Build-Depends: libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 9~), quilt, cmake, autotools-dev, gawk,
  pkg-config, tdelibs14-trinity-dev, binutils-dev, bison, flex, libfl-dev | flex (<< 2.5.39),
  tdepim-trinity-dev, libapr1-dev, libtdepim1-trinity-dev,
  libktnef1-trinity-dev, libsvn-dev, libdb-dev,
@@ -15,8 +15,8 @@
 Package: tdesdk-trinity
 Architecture: all
 Section: tde
-Replaces: kdesdk-trinity (<< 4:14.0.0~)
-Breaks: kdesdk-trinity (<< 4:14.0.0~)
+Replaces: kdesdk-kde3 (<< 4:14.0.0~), kdesdk-trinity (<< 4:14.0.0~)
+Breaks: kdesdk-kde3 (<< 4:14.0.0~), kdesdk-trinity (<< 4:14.0.0~)
 Depends: cervisia-trinity (>= ${source:Version}), kapptemplate-trinity (>= ${source:Version}), kbabel-trinity (>= ${source:Version}), kbugbuster-trinity (>= ${source:Version}), tdecachegrind-trinity (>= ${source:Version}), tdesdk-tdefile-plugins-trinity (>= ${source:Version}), tdesdk-tdeio-plugins-trinity (>= ${source:Version}) | tdesvn-tdeio-plugins-trinity, tdesdk-misc-trinity (>= ${source:Version}), tdesdk-scripts-trinity, kmtrace-trinity (>= ${source:Version}), kompare-trinity (>= ${source:Version}), kspy-trinity (>= ${source:Version}), kuiviewer-trinity (>= ${source:Version}), tdeunittest-trinity (>= ${source:Version}), poxml-trinity (>= ${source:Version}), umbrello-trinity (>= ${source:Version})
 Suggests: tdecachegrind-converters-trinity, kbabel-trinity-dev, tdesdk-trinity-doc-html
 Description: software development kit from the official Trinity release
@@ -31,8 +31,8 @@
 Package: tdesdk-trinity-doc-html
 Architecture: all
 Section: doc
-Replaces: kdesdk-trinity-doc-html (<< 4:14.0.0~)
-Breaks: kdesdk-trinity-doc-html (<< 4:14.0.0~)
+Replaces: kdesdk-kde3-doc-html (<< 4:14.0.0~), kdesdk-trinity-doc-html (<< 4:14.0.0~)
+Breaks: kdesdk-kde3-doc-html (<< 4:14.0.0~), kdesdk-trinity-doc-html (<< 4:14.0.0~)
 Suggests: konqueror-trinity | www-browser, tdesdk-trinity
 Description: Trinity Software Development Kit documentation in HTML format
  By default the modules provided by TDE only provide their documentation
@@ -51,8 +51,8 @@
 Package: cervisia-trinity
 Architecture: any
 Section: devel
-Replaces: cervisia-trinity (<< 4:14.0.0~)
-Breaks: cervisia-trinity (<< 4:14.0.0~)
+Replaces: cervisia-kde3 (<< 4:14.0.0~), cervisia-trinity (<< 4:14.0.0~)
+Breaks: cervisia-kde3 (<< 4:14.0.0~), cervisia-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity, tdesdk-trinity-doc-html
 Description: a graphical CVS front end for Trinity
@@ -70,8 +70,8 @@
 Package: kapptemplate-trinity
 Architecture: all
 Section: devel
-Replaces: kapptemplate-trinity (<< 4:14.0.0~)
-Breaks: kapptemplate-trinity (<< 4:14.0.0~)
+Replaces: kapptemplate-kde3 (<< 4:14.0.0~), kapptemplate-trinity (<< 4:14.0.0~)
+Breaks: kapptemplate-kde3 (<< 4:14.0.0~), kapptemplate-trinity (<< 4:14.0.0~)
 Recommends: automake1.9 | automaken, tdelibs14-trinity-dev
 Description: creates a framework to develop a Trinity application
  KAppTemplate is a shell script that will create the necessary
@@ -85,8 +85,8 @@
 Package: kbabel-trinity
 Architecture: any
 Section: devel
-Replaces: kbabel-trinity (<< 4:14.0.0~)
-Breaks: kbabel-trinity (<< 4:14.0.0~)
+Replaces: kbabel-kde3 (<< 4:14.0.0~), kbabel-trinity (<< 4:14.0.0~)
+Breaks: kbabel-kde3 (<< 4:14.0.0~), kbabel-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity, tdesdk-trinity-doc-html
 Conflicts: kdeartwork-theme-icon-trinity (<< 4:3.5.13.3~), tdeartwork-theme-icon-trinity (<< 4:14.0.5~)
@@ -107,8 +107,8 @@
 Package: kbabel-trinity-dev
 Architecture: any
 Section: libdevel
-Replaces: kbabel-trinity-dev (<< 4:14.0.0~)
-Breaks: kbabel-trinity-dev (<< 4:14.0.0~)
+Replaces: kbabel-kde3-dev (<< 4:14.0.0~), kbabel-trinity-dev (<< 4:14.0.0~)
+Breaks: kbabel-kde3-dev (<< 4:14.0.0~), kbabel-trinity-dev (<< 4:14.0.0~)
 Depends: kbabel-trinity (= ${source:Version}), tdelibs14-trinity-dev
 Description: PO-file editing suite for Trinity (development files)
  This is a suite of programs for editing translation message files (PO-files).
@@ -129,8 +129,8 @@
 Package: kbugbuster-trinity
 Architecture: any
 Section: devel
-Replaces: kbugbuster-trinity (<< 4:14.0.0~)
-Breaks: kbugbuster-trinity (<< 4:14.0.0~)
+Replaces: kbugbuster-kde3 (<< 4:14.0.0~), kbugbuster-trinity (<< 4:14.0.0~)
+Breaks: kbugbuster-kde3 (<< 4:14.0.0~), kbugbuster-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Description: a front end for the Trinity bug tracking system
@@ -144,8 +144,8 @@
 Package: tdecachegrind-trinity
 Architecture: any
 Section: devel
-Replaces: kcachegrind-trinity (<< 4:14.0.0~)
-Breaks: kcachegrind-trinity (<< 4:14.0.0~)
+Replaces: kcachegrind-kde3 (<< 4:14.0.0~), kcachegrind-trinity (<< 4:14.0.0~)
+Breaks: kcachegrind-kde3 (<< 4:14.0.0~), kcachegrind-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Recommends: valgrind-callgrind-trinity | valgrind-calltree-trinity, graphviz
 Suggests: tdecachegrind-converters-trinity, khelpcenter-trinity, tdesdk-trinity-doc-html
@@ -164,9 +164,9 @@
 Package: tdecachegrind-converters-trinity
 Architecture: all
 Section: devel
-Replaces: kcachegrind-converters-trinity (<< 4:14.0.0~)
-Breaks: kcachegrind-converters-trinity (<< 4:14.0.0~)
-Depends: ${perl:Depends}, php-cli | php5-cli, python
+Replaces: kcachegrind-converters-kde3 (<< 4:14.0.0~), kcachegrind-converters-trinity (<< 4:14.0.0~)
+Breaks: kcachegrind-converters-kde3 (<< 4:14.0.0~), kcachegrind-converters-trinity (<< 4:14.0.0~)
+Depends: ${perl:Depends}, php-cli | php5-cli, python-all
 Recommends: tdecachegrind-trinity
 Description: format converters for TDECachegrind profiling visualisation tool
  This is a collection of scripts for converting the output from
@@ -183,8 +183,8 @@
 Package: tdesdk-tdefile-plugins-trinity
 Architecture: any
 Section: tde
-Replaces: kdesdk-kfile-plugins-trinity (<< 4:14.0.0~)
-Breaks: kdesdk-kfile-plugins-trinity (<< 4:14.0.0~)
+Replaces: kdesdk-kfile-plugins-kde3 (<< 4:14.0.0~), kdesdk-kfile-plugins-trinity (<< 4:14.0.0~)
+Breaks: kdesdk-kfile-plugins-kde3 (<< 4:14.0.0~), kdesdk-kfile-plugins-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Description: Trinity file dialog plugins for software development files
  This is a collection of plugins for the TDE file dialog.  These plugins
@@ -197,8 +197,8 @@
 Package: tdesdk-misc-trinity
 Architecture: any
 Section: devel
-Replaces: kdesdk-misc-trinity (<< 4:14.0.0~)
-Breaks: kdesdk-misc-trinity (<< 4:14.0.0~)
+Replaces: kdesdk-misc-kde3 (<< 4:14.0.0~), kdesdk-misc-trinity (<< 4:14.0.0~)
+Breaks: kdesdk-misc-kde3 (<< 4:14.0.0~), kdesdk-misc-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Recommends: libtqt3-mt-dev | libtqt3-dev
 Suggests: gimp | xpaint
@@ -218,31 +218,11 @@
 Package: tdesdk-scripts-trinity
 Architecture: all
 Section: devel
-Replaces: kdesdk-scripts-trinity (<< 4:14.0.0~)
-Breaks: kdesdk-scripts-trinity (<< 4:14.0.0~)
-Depends: ${perl:Depends}, python
+Replaces: kdesdk-scripts-kde3 (<< 4:14.0.0~), kdesdk-scripts-trinity (<< 4:14.0.0~)
+Breaks: kdesdk-scripts-kde3 (<< 4:14.0.0~), kdesdk-scripts-trinity (<< 4:14.0.0~)
+Depends: ${perl:Depends}, python-all
 Recommends: automake1.9 | automaken, cvs, gawk
 Suggests: khelpcenter-trinity, tdesdk-trinity-doc-html, dmalloc, gdb, tdelibs14-trinity-doc, tqt3-doc, valgrind, devscripts
 Enhances: kate-trinity
 Description: a set of useful development scripts for Trinity
  This package contains a number of scripts which can be used to help in
- developing TDE-based applications.  Many of these scripts however are
- not specific to TDE, and in particular there are several general-use
- scripts to help users in working with SVN and CVS repositories.
- .
- In addition to these scripts, this package provides:
-  - gdb macros for TQt/TDE programming;
-  - vim and emacs helper files for TQt/TDE programming;
-  - bash and zsh completion controls for TDE apps;
-  - valgrind error suppressions for TDE apps.
- .
- This package is part of Trinity, and a component of the TDE SDK module.
- See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.
-
-Package: kmtrace-trinity
-Architecture: any
-Section: devel
-Replaces: kmtrace-trinity (<< 4:14.0.0~)
-Breaks: kmtrace-trinity (<< 4:14.0.0~)
-Depends: ${shlibs:Depends}, less
-Description: a Trinity memory leak tracer
